/* * Copyright (c) 2004 CNRS/LAAS * * Permission to use, copy, modify, and distribute this software for any * purpose with or without fee is hereby granted, provided that the above * copyright notice and this permission notice appear in all copies. * * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF * MERCHANTABILITY AND FITNESS. *//**
 ** zoneCntrlTaskCodels.c
 **
 ** Codels used by the control task zoneCntrlTask
 **
 ** Author: 
 ** Date: 
 **
 **/

#ifndef UNIX
#include <vxWorks.h>
#else
#include <portLib.h>
#endif
#include <stdio.h>
#include "server/zoneHeader.h"


/*------------------------------------------------------------------------
 * zoneGetCurrentTargetZoneCntrl  -  control codel of CONTROL request GetCurrentTargetZone
 *
 * Description:    
 * Report (bilan): OK 
 *
 * Return:    OK ou ERROR
 */

STATUS zoneGetCurrentTargetZoneCntrl (int *bilan)
{
  zone = &zoneStructs[ZONE_TARGET];

  zone->posterId[ZONE_POSTER_DESC] = ZONE_TARGETDESC_POSTER_ID;
  zone->zonesDesc.nbZones = 0;

  if (zoneTARGETDescZones_descPosterWrite (zone->posterId[ZONE_POSTER_DESC],
					   &zone->zonesDesc) != OK) {
    printf ("zone: cannot write poster %s\n", ZONE_TARGETDESC_POSTER_NAME);
    return(ERROR);
  }

  zone->posterId[ZONE_POSTER_MAP] = ZONE_TARGETMAP_POSTER_ID;
  zone->zonesMap.header.nbZones = 0;
  if (zoneTARGETMapZones_mapPosterWrite (zone->posterId[ZONE_POSTER_MAP],
					 &zone->zonesMap) != OK) {
    printf ("zone: cannot write poster %s\n", ZONE_TARGETMAP_POSTER_NAME);
    return(ERROR);
  }

  zone->posterId[ZONE_POSTER_STATE] = ZONE_TARGETSTATES_POSTER_ID;
  zone->zonesStates.nbZones = 0;
  for(i=0;i<ZONE_NBMAX_ZONES;i++)
    zone->zonesStates.states[i] = ZONE_OUTSIDE_POLY;

  return OK;
}


